メインコンテンツまでスキップ

コレクションから関数を削除(V2)

This operation drops a function from the schema of a collection.

POST/v2/vectordb/collections/drop_function
接続エンドポイント

https://${CLUSTER_ENDPOINT}

📘ノート
  • ${CLUSTER_ENDPOINT} を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。
  • エンドポイントを取得するには、Describe Cluster V2 APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT=""
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つAPIキー、またはコロンで連結されたユーザー名とパスワードのペア(例:username:password)である必要があります。プロジェクトエンドポイントを使用する場合は、十分な権限を持つ有効なAPIキーのみが適用されます。

値の例: Bearer {{TOKEN}}
リクエスト・ボディ
dbNamestring

データベースの名前。

collectionNamestring必要

コレクションの名前。

FunctionNamestring必要

削除する関数の名前。

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/drop_function" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "my_collection",
"FunctionName": "bm25_fn"
}'
レスポンス

なし

codeinteger

応答コード。

dataobject

エラーメッセージを返します。

codeinteger

応答コード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {}
}
Ctrl I